Module sentencias

End Module
Module sentecias

    'Sub respaldo()
    '    Try

    '        REM intenta abrir el archivo
    '        obj_excel = CreateObject("excel.Application")
    '        With (obj_excel)
    '            .ActiveWorkbook.Save()
    '        End With
    '    Catch ex As Exception
    '        REM en caso de no poder abrir el archivo creo un mensaje personalizado
    '        MsgBox("NO SE ENCONTRO EL ARCHIBO", vbCritical, "IMPOSIBLE PROCEDER")
    '    End Try
    'End Sub
    Sub abrir_datos()
        Try
            REM intenta abrir el archivo
            obj_excel = CreateObject("excel.Application")
            With (obj_excel)
                .Workbooks.Open("C:\Ag2\vbleonet\WindowsApplication1\datos\datos.xlsx")
                obj_hoja_datos = .ActiveWorkbook.Sheets("datos")
                obj_hoja_datos.Activate()
                .Visible = False
            End With
        Catch ex As Exception
            REM en caso de no poder abrir el archivo creo un mensaje personalizado
            MsgBox("NO SE ENCONTRO EL ARCHIVO", vbCritical, "IMPOSIBLE PROCEDER")
        End Try
    End Sub
    Sub abrir_datos1()
        Try
            REM intenta abrir el archivo
            obj_excel = CreateObject("excel.Application")
            With (obj_excel)
                .Workbooks.Open("C:\Ag2\vbleonet\WindowsApplication1\datos\datos.xlsx")
                obj_hoja_datos = .ActiveWorkbook.Sheets("datos")
                obj_hoja_datos.Activate()
                .Visible = False
            End With
        Catch ex As Exception
            REM en caso de no poder abrir el archivo creo un mensaje personalizado
            MsgBox("NO SE ENCONTRO EL ARCHIVO", vbCritical, "IMPOSIBLE PROCEDER")
        End Try
    End Sub
    Sub cerrar_excel()
        Try
            With obj_excel
                .ActiveWorkbook.Save()
                .ActiveWorkbook.Close()
                .Quit()
            End With
        Catch ex As Exception
            MsgBox("EL ARCHIVO NO SE PUEDE CERRAR PORQUE NO ES EL ARCHIVO ACTIVO O YA FUE CERRADO PREVIAMENTE", vbInformation, "IMPOSOBLE CERRAR EL ARCHIVO ARCHIVO")
        End Try
    End Sub
    Sub cerrar_excel1()
        Try
            With obj_excel
                .ActiveWorkbook.Save()
                .ActiveWorkbook.Close()
                .Quit()
            End With
        Catch ex As Exception
            MsgBox("EL ARCHIVO NO SE PUEDE CERRAR HAY OTRO ABIERTO CIERRELO Y VUELVA A INTENTARLO", vbInformation, "IMPOSIBLE CERRAR EL ARCHIVO")
            Exit Sub
        End Try

    End Sub
    REM VENTAS
    Sub guardar_datos()
        Try
            REM DIA 1
            With obj_excel
                obj_hoja_datos.Range("B3").Offset(0, 0).Activate()
                REM COMPRAS POLLO
                .ActiveCell.Value = Form1.TextBox1.Text
                .ActiveCell.Offset(1, 0).Value = Form1.TextBox2.Text
                .ActiveCell.Offset(2, 0).Value = Form1.TextBox3.Text
                .ActiveCell.Offset(3, 0).Value = Form1.TextBox4.Text
                .ActiveCell.Offset(4, 0).Value = Form1.TextBox5.Text
                .ActiveCell.Offset(5, 0).Value = Form1.TextBox6.Text
                .ActiveCell.Offset(6, 0).Value = Form1.TextBox7.Text
                .ActiveCell.Offset(7, 0).Value = Form1.TextBox8.Text
                .ActiveCell.Offset(8, 0).Value = Form1.TextBox9.Text
                .ActiveCell.Offset(9, 0).Value = Form1.TextBox10.Text
                .ActiveCell.Offset(10, 0).Value = Form1.TextBox11.Text
                .ActiveCell.Offset(11, 0).Value = Form1.TextBox12.Text
                .ActiveCell.Offset(12, 0).Value = Form1.TextBox13.Text
                .ActiveCell.Offset(13, 0).Value = Form1.TextBox14.Text
                .ActiveCell.Offset(14, 0).Value = Form1.TextBox15.Text
                .ActiveCell.Offset(15, 0).Value = Form1.TextBox16.Text
                .ActiveCell.Offset(16, 0).Value = Form1.TextBox17.Text
                .ActiveCell.Offset(17, 0).Value = Form1.TextBox18.Text
                .ActiveCell.Offset(18, 0).Value = Form1.TextBox19.Text
                .ActiveCell.Offset(19, 0).Value = Form1.TextBox20.Text
                .ActiveCell.Offset(20, 0).Value = Form1.TextBox21.Text
                .ActiveCell.Offset(21, 0).Value = Form1.TextBox22.Text
                .ActiveCell.Offset(22, 0).Value = Form1.TextBox23.Text
                .ActiveCell.Offset(23, 0).Value = Form1.TextBox24.Text
                .ActiveCell.Offset(24, 0).Value = Form1.TextBox25.Text
                .ActiveCell.Offset(25, 0).Value = Form1.TextBox26.Text
                .ActiveCell.Offset(26, 0).Value = Form1.TextBox27.Text
                .ActiveCell.Offset(27, 0).Value = Form1.TextBox28.Text
                .ActiveCell.Offset(28, 0).Value = Form1.TextBox29.Text
                .ActiveCell.Offset(29, 0).Value = Form1.TextBox30.Text
                .ActiveCell.Offset(30, 0).Value = Form1.TextBox31.Text
                .ActiveCell.Offset(31, 0).Value = Form1.TextBox32.Text
                .ActiveCell.Offset(32, 0).Value = Form1.TextBox33.Text
                .ActiveCell.Offset(33, 0).Value = Form1.TextBox34.Text
                .ActiveCell.Offset(34, 0).Value = Form1.TextBox35.Text
                .ActiveCell.Offset(35, 0).Value = Form1.TextBox36.Text
                .ActiveCell.Offset(36, 0).Value = Form1.TextBox37.Text
                .ActiveCell.Offset(37, 0).Value = Form1.TextBox38.Text
                .ActiveCell.Offset(38, 0).Value = Form1.TextBox39.Text
                .ActiveCell.Offset(39, 0).Value = Form1.TextBox40.Text
                .ActiveCell.Offset(40, 0).Value = Form1.TextBox41.Text
                .ActiveCell.Offset(41, 0).Value = Form1.TextBox42.Text
                .ActiveCell.Offset(42, 0).Value = Form1.TextBox43.Text
                .ActiveCell.Offset(43, 0).Value = Form1.TextBox44.Text
                .ActiveCell.Offset(44, 0).Value = Form1.TextBox45.Text
                .ActiveCell.Offset(45, 0).Value = Form1.TextBox46.Text
                .ActiveCell.Offset(46, 0).Value = Form1.TextBox47.Text
                .ActiveCell.Offset(47, 0).Value = Form1.TextBox48.Text
                .ActiveCell.Offset(48, 0).Value = Form1.TextBox49.Text
                .ActiveCell.Offset(49, 0).Value = Form1.TextBox50.Text
                .ActiveCell.Offset(50, 0).Value = Form1.TextBox51.Text
                .ActiveCell.Offset(51, 0).Value = Form1.TextBox52.Text
                .ActiveCell.Offset(52, 0).Value = Form1.TextBox53.Text
                .ActiveCell.Offset(53, 0).Value = Form1.TextBox54.Text
                .ActiveCell.Offset(54, 0).Value = Form1.TextBox55.Text
                .ActiveCell.Offset(55, 0).Value = Form1.TextBox56.Text
                .ActiveCell.Offset(56, 0).Value = Form1.TextBox57.Text
                .ActiveCell.Offset(57, 0).Value = Form1.TextBox58.Text
                .ActiveCell.Offset(58, 0).Value = Form1.TextBox59.Text
                .ActiveCell.Offset(59, 0).Value = Form1.TextBox60.Text
                .ActiveCell.Offset(60, 0).Value = Form1.TextBox61.Text
                .ActiveCell.Offset(61, 0).Value = Form1.TextBox62.Text
                .ActiveCell.Offset(62, 0).Value = Form1.TextBox63.Text
                .ActiveCell.Offset(63, 0).Value = Form1.TextBox64.Text
                .ActiveCell.Offset(64, 0).Value = Form1.TextBox65.Text
                .ActiveCell.Offset(65, 0).Value = Form1.TextBox66.Text
                .ActiveCell.Offset(66, 0).Value = Form1.TextBox67.Text
                .ActiveCell.Offset(67, 0).Value = Form1.TextBox68.Text
                .ActiveCell.Offset(68, 0).Value = Form1.TextBox69.Text
                .ActiveCell.Offset(69, 0).Value = Form1.TextBox70.Text
                .ActiveCell.Offset(70, 0).Value = Form1.TextBox71.Text
                .ActiveCell.Offset(71, 0).Value = Form1.TextBox72.Text
                .ActiveCell.Offset(72, 0).Value = Form1.TextBox73.Text
                .ActiveCell.Offset(73, 0).Value = Form1.TextBox74.Text
                .ActiveCell.Offset(74, 0).Value = Form1.TextBox75.Text
                .ActiveCell.Offset(75, 0).Value = Form1.TextBox76.Text
                .ActiveCell.Offset(76, 0).Value = Form1.TextBox77.Text
                .ActiveCell.Offset(77, 0).Value = Form1.TextBox78.Text
                .ActiveCell.Offset(78, 0).Value = Form1.TextBox79.Text
                .ActiveCell.Offset(79, 0).Value = Form1.TextBox80.Text
                .ActiveCell.Offset(80, 0).Value = Form1.TextBox81.Text
                .ActiveCell.Offset(81, 0).Value = Form1.TextBox82.Text
                .ActiveCell.Offset(82, 0).Value = Form1.TextBox83.Text
                .ActiveCell.Offset(83, 0).Value = Form1.TextBox84.Text
                .ActiveCell.Offset(84, 0).Value = Form1.TextBox85.Text
                .ActiveCell.Offset(85, 0).Value = Form1.TextBox86.Text
                .ActiveCell.Offset(86, 0).Value = Form1.TextBox87.Text
                .ActiveCell.Offset(87, 0).Value = Form1.TextBox88.Text
                .ActiveCell.Offset(88, 0).Value = Form1.TextBox89.Text
                .ActiveCell.Offset(89, 0).Value = Form1.TextBox90.Text
                .ActiveCell.Offset(90, 0).Value = Form1.TextBox91.Text
                .ActiveCell.Offset(91, 0).Value = Form1.TextBox92.Text
                .ActiveCell.Offset(92, 0).Value = Form1.TextBox93.Text
                .ActiveCell.Offset(93, 0).Value = Form1.TextBox94.Text
                .ActiveCell.Offset(94, 0).Value = Form1.TextBox95.Text
                .ActiveCell.Offset(95, 0).Value = Form1.TextBox96.Text
                .ActiveCell.Offset(96, 0).Value = Form1.TextBox97.Text
                .ActiveCell.Offset(97, 0).Value = Form1.TextBox98.Text
                .ActiveCell.Offset(98, 0).Value = Form1.TextBox99.Text
                .ActiveCell.Offset(99, 0).Value = Form1.TextBox100.Text

            End With
        Catch ex As Exception
            REM en caso de no poder abrir el archivo creo un mensaje personalizado
            MsgBox("EL ARCHIVO ESTA ACTIVO O AVIERTO CIERRELO HE INTENTELO DE NUEVO", vbCritical, "IMPOSIBLE PROCEDER")
            Exit Sub
        End Try
    End Sub
End Module

